grid.rect {grid} | R Documentation

## Draw a rectangle in a Grid Viewport

### Description

This function draws a rectangle.

### Usage

    grid.rect(x = unit(0.5, "npc"), y = unit(0.5, "npc"),
          width = unit(1, "npc"), height = unit(1, "npc"),
          just = "centre", default.units = "npc",
          gp=gpar(), draw = TRUE, vp = NULL)

### Arguments

`x` | A numeric vector or unit object specifying x-location.
`y` | A numeric vector or unit object specifying y-location.
`width` | A numeric vector or unit object specifying width.
`height` | A numeric vector or unit object specifying height.
`just` | The justification of the rectangle about its (x, y) location. If two values are given, the first specifies horizontal justification and the second specifies vertical justification.
`default.units` | A string indicating the default units to use if `x`, `y`, `width`, or `height` are only given as numeric vectors.
`gp` | An object of class `gpar`, typically the output from a call to the function `gpar`. This is basically a list of graphical parameter settings.
`draw` | A logical value indicating whether graphics output should be produced.
`vp` | A Grid viewport object (or NULL).

### Details

The `"grob"` object contains an object of class `"rect"`.

### Value

An object of class `"grob"`.

### Author(s)

Paul Murrell

### See Also

Grid, `viewport`

[Package Contents]